com.orsoncharts.data.xyz

## Class XYZDataItem

- java.lang.Object
- - com.orsoncharts.data.xyz.XYZDataItem

- All Implemented Interfaces:
    java.io.Serializable

      public class XYZDataItem
      extends java.lang.Object
      implements java.io.Serializable

  Represents a single `(x, y, z)` data item, which can be added to a `XYZSeries`. Instances of this class are immutable.
  NOTE: This class is serializable, but the serialization format is subject to change in future releases and should not be relied upon for persisting instances of this class.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XYZDataItem(double x, double y, double z)` Creates a new (immutable) instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.
    `double` | `getX()` Returns the x-value.
    `double` | `getY()` Returns the y-value.
    `double` | `getZ()` Returns the z-value.
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XYZDataItem

          public XYZDataItem(double x,
                             double y,
                             double z)

      Creates a new (immutable) instance.
      Parameters:
        `x` - the x-value.
        `y` - the y-value.
        `z` - the z-value.

  - ### Method Detail

    - #### getX

          public double getX()

      Returns the x-value.
      Returns:
        The x-value.

    - #### getY

          public double getY()

      Returns the y-value.
      Returns:
        The y-value.

    - #### getZ

          public double getZ()

      Returns the z-value.
      Returns:
        The z-value.

    - #### equals

          public boolean equals(java.lang.Object obj)

      Tests this instance for equality with an arbitrary object.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the object (`null` permitted).
      Returns:
        A boolean.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`